export interface Message {
    id: string;
    payload: any;
}

export interface ConnectionState {
    uuid?: string | number;
    status: 'BUFFER' | 'DIRECT_PUBLISH' | 'LIMIT_EXCEEDED',
    reason?: string;
    payload?: any;
}


export interface WrappedMessage {
    timeReceived: Date,
    payload: any
    thisMessageID: string,
    previousMessageID: string | null,
}

export interface FpVerificationPayload {
    id: string,
    cmd: `Registration` | `Verification` | `Extract Template`,
    date: Date,
    data: any,
    fpTemplate?: FingerprintTemplate,
    fpTemplateArray: FingerprintTemplate[],
    message?: string
}

export interface FpVerificationResponse {
    id: string,
    message: string,
    data: FingerprintTemplate,
    score?: number
}
export interface FingerprintTemplate {
    id: string,
    name: string,
    org: string,
    fingerprint: Fingerprint
}

export interface Fingerprint {
    finger: number,
    template: string
}